Subject: [manet] Intelligent local link patching

From: Sourabh Sharma <[email-masked]>
Date: Tue, 17 Sep 2002 01:46:18 +0800 (GMT-8)

Hello,
          I am doing a study of different routing protocols and
 how to improve them.Specifically I need am looking in to AODV and DSR.
 I think local link patching will give a much better performance
 in the following cases. ( Please correct me if I am wrong)
 a) In case of large manets and especially in case where the link
 breakdown is much nearer to the dest as compared to Source.

 b) in case of delay-intolerant applications.which actually prefer to 
  have a locally patched link( which may take more no. of hops) so that
 the time taken in doing a new route discovery is saved.
 I am sure  Perkins,Samir and many others must've given it a thought
 before keeping it as a design option in AODV as well as DSR.
 
   I wanted to know whether the current _implementation_ of AODV
 and DSR, does it have local link patching implemented?
 If not then I've some ideas about LL patching.

 WHy not we make AODV a hybrid of distance vector and store
 multiple routes at each node.so that in case of a link breakdown
 it can use one of the stored routes. ( of course we need to devise
 mechanism to take care of stale routes without making the protocol
 too talktative.( As it is AODV has a lot of network load due to exchange
 of hello messages.)

 First and foremost I want to know why AODV and DSR implementors not give
 so much importance to link level patching.

 Thanks in Advance.
 Sourabh Sharma.
 Centre for Internet Research
 National University of Singapore

                            *  * * * * * *
                            * The World  *
                            *  Is NoT    * 
                            *    EnouGh  *
                            * * * *  * * *
There is an answer to everything in this world.
   The only question which remains to be answered
     IS whether we know the answers or not.

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet